# tablewriter.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/tablestream"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for tablewriter.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx
namespace | PGSTD
namespace | pqxx::internal

## Classes

class | pqxx::tablewriter
| Efficiently write data directly to a database table. More...
class | PGSTD::back_insert_iterator< pqxx::tablewriter >
| Specialized back_insert_iterator for tablewriter. More...
class | pqxx::internal::Escaper< IT >

## Functions

PGSTD::string PQXX_LIBEXPORT | pqxx::internal::Escape (const PGSTD::string &s, const PGSTD::string &null)
template<typename STR>
PGSTD::string | pqxx::internal::EscapeAny (const PGSTD::string &s, const PGSTD::string &null)
template<typename STR>
PGSTD::string | pqxx::internal::EscapeAny (const char s[], const PGSTD::string &null)
template<typename T>
PGSTD::string | pqxx::internal::EscapeAny (const T &t, const PGSTD::string &null)